<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SymbolLookup/MultiplyDefined.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::SymbolLookup::MultiplyDefined</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../SymbolLookup.html" >SymbolLookup</a>
</div><div class="class-name">struct MultiplyDefined

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SymbolLookup/Scope.hh.html" target="detail">../Synopsis/SymbolLookup/Scope.hh</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mMultiplyDefined" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line38" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="MultiplyDefined-inheritance" src="MultiplyDefined-inheritance.png" hspace="8" vspace="8" border="0" usemap="#MultiplyDefined-inheritance_map" />
<map name="MultiplyDefined-inheritance_map"></map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="MultiplyDefined_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cconst.PTree_mNode_S_r">MultiplyDefined</a>(const&#160;<a href="../PTree/Encoding.html" >PTree::Encoding</a>&amp; <span class="variable">n</span>, const&#160;<a href="../PTree/Node.html" >PTree::Node</a>* <span class="variable">decl</span>, const&#160;<a href="../PTree/Node.html" >PTree::Node</a>* <span class="variable">orig</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line42" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tMultiplyDefined_l_r">~MultiplyDefined</a>()  </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mMultiplyDefined_m_tMultiplyDefined_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line44" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;const&#160;char* <a class="name" id="what_l_rconst">what</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mMultiplyDefined_mwhat_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line45" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="../PTree/Encoding.html" >PTree::Encoding</a> <a class="name" id="name">name</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mMultiplyDefined_mname" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line46" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">const&#160;<a href="../PTree/Node.html" >PTree::Node</a>* <a class="name" id="declaration">declaration</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mMultiplyDefined_mdeclaration" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line47" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">const&#160;<a href="../PTree/Node.html" >PTree::Node</a>* <a class="name" id="original">original</a></div> <div class="xref"><a href="../../../XRef/xref23.html#Synopsis_mSymbolLookup_mMultiplyDefined_moriginal" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line48" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
